package com.hzs.common.util;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.stereotype.Component;

/**
 * 国际化翻译工具
 */
@Component
@Slf4j
public class TransactionUtils implements InitializingBean {

    /**
     * 获取国际化翻译内容
     *
     * @param key  翻译key
     * @param args 替换参数
     * @return
     */
    public static String getContent(String key, Object... args) {
        if (args.length != 0) {
            return String.format(key, args);
        }
        return key;
    }

    @Override
    public void afterPropertiesSet() {
    }

}
